import React from "react";

export default class SKorDropdownMenu extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            shouldBeSeen: false
        };

    }

    render() {
        return (
            <div>
                <button
                    className="btDropdownMenu"
                    onClick={() => {
                        return this.handleClick();
                    }}
                >
                    Menu
                </button>
                {this.state.shouldBeSeen ? this.props.children : null}
            </div>
        );
    }

    componentDidMount() {
        document.addEventListener("click", event => {
            if (!event.target.classList.contains("btDropdownMenu")) {
                if (this.state.shouldBeSeen) {
                    this.setState({ shouldBeSeen: false });
                }
            }
        });
    }



    handleClick() {
        this.setState({ shouldBeSeen: !this.state.shouldBeSeen });
    }
}